Package com.mouseviator.fsuipc.helpers

# Class MacroHelper.MacroResult

java.lang.Object
com.mouseviator.fsuipc.helpers.MacroHelper.MacroResult

Enclosing class:
  MacroHelper

    public static class MacroHelper.MacroResult
    extends java.lang.Object

A class representing a result fo macro execute helper functions in the class `MacroHelper`. Executing macro requires 2 data requests. One request to tell FSUIPC what macro to execute - the `getMacroExecuteRequest()`, and the other request - `getParamRequest()` as the parameter to the macro, if any.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MacroResult()` | Constructs new uninitialized MacroResult.
  `MacroResult​(MacroHelper.MacroExecuteRequest macroExecuteRequest, MacroHelper.MacroParamRequest paramRequest)` | Constructs new MacroResult with reference to the data requests for macro execution.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MacroHelper.MacroExecuteRequest` | `getMacroExecuteRequest()` |
  `MacroHelper.MacroParamRequest` | `getParamRequest()` |
  `void` | `setMacroExecuteRequest​(MacroHelper.MacroExecuteRequest macroExecuteRequest)` | Sets the macro execute request.
  `void` | `setParamRequest​(MacroHelper.MacroParamRequest paramRequest)` | Sets the macro parameter request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MacroResult

    public MacroResult()
    Constructs new uninitialized MacroResult.

  - ### MacroResult

    public MacroResult​(MacroHelper.MacroExecuteRequest macroExecuteRequest, MacroHelper.MacroParamRequest paramRequest)
    Constructs new MacroResult with reference to the data requests for macro execution.
    Parameters:
      `macroExecuteRequest` - A macro execute request telling FSUIPC to execute the macro.
      `paramRequest` - A parameter data request for the control request.

- ## Method Details

  - ### getMacroExecuteRequest

    public MacroHelper.MacroExecuteRequest getMacroExecuteRequest()
    Returns:
      The macro execute request.

  - ### setMacroExecuteRequest

    public void setMacroExecuteRequest​(MacroHelper.MacroExecuteRequest macroExecuteRequest)
    Sets the macro execute request.
    Parameters:
      `macroExecuteRequest` - The macro execute request.

  - ### getParamRequest

    public MacroHelper.MacroParamRequest getParamRequest()
    Returns:
      The macro parameter request.

  - ### setParamRequest

    public void setParamRequest​(MacroHelper.MacroParamRequest paramRequest)
    Sets the macro parameter request.
    Parameters:
      `paramRequest` - The macro parameter request.